%define __libtoolize :
Summary: A GNU source-level debugger for C, C++ and Fortran.
Name: gdb
Version: 6.0
Release: 1m
License: GPL
Group: Development/Debuggers
URL: http://www.gnu.org/directory/gdb.html
%NoSource 0 ftp://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.bz2 14371795b7903b816a6a88c69cace168
# Patch0: gdb-alpha.patch
# Patch1: gdb-5.0-ppc.patch
# Patch2: gdb-5.2.1-installpath.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: info

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your
programs.

%prep
%setup -q
# %patch0 -p1 -b .alpha
%ifarch ppc
# %patch1 -p1 -b .ppc
%endif
# %patch2 -p1 -b .installpath

%build
%configure
%make
make info
cp gdb/NEWS .

%install
rm -rf %{buildroot}
%makeinstall man1dir=%{buildroot}/%{_mandir}/man1

# The above is broken, do this for now:
mkdir -p %{buildroot}/%{_infodir}
cp `find -name "*.info*"` %{buildroot}/%{_infodir}
rm -f %{buildroot}%{_infodir}/dir %{buildroot}%{_infodir}/dir.info* 
#These are part of binutils
rm -f %{buildroot}%{_infodir}/bfd* %{buildroot}%{_infodir}/standard*
rm -rf %{buildroot}/usr/include/  %{buildroot}/usr/lib/lib{bfd*,opcodes*}

# remove
rm -f %{buildroot}/*.info* %{buildroot}/dir
rm -f %{buildroot}%{_libdir}/libiberty.a
rm -f %{buildroot}%{_libdir}/libmmalloc.a
rm -f %{buildroot}%{_datadir}/info/configure.info-1*
rm -f %{buildroot}%{_datadir}/info/configure.info-2*
rm -f %{buildroot}%{_datadir}/info/configure.info-3*
rm -f %{buildroot}%{_datadir}/info/configure.info*
rm -f %{buildroot}%{_datadir}/info/history.info*
rm -f %{buildroot}%{_datadir}/info/libiberty.info*
rm -f %{buildroot}%{_datadir}/info/readline.info*
rm -f %{buildroot}%{_datadir}/info/rluserman.info*
rm -f %{buildroot}%{_datadir}/locale/*/*/*

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gdb.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/gdbint.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/mmalloc.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/stabs.info.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gdb.info.* %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gdbint.info.* %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/mmalloc.info.* %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/stabs.info.* %{_infodir}/dir
fi

%changelog
* Mon Mar 29 2004 Toru Hoshina <t@momonga-linux.org>
- (6.0-2m)
- /usr/share/info/annotate.info is missed.

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (6.0-1m)
- version up. this is expected for kernel 2.6 era, probably.
- dejagnu is also imported, evaluation is needed from now on.

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (5.3-2m)
- revised spec for enabling rpm 4.2.

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.3-1m)
  update to 5.3

* Mon Jul 29 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.2.1-1m)
  update to 5.2.1

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (5.1.1-4k)
- /sbin/install-info -> info in PreReq.

* Thu Feb 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (5.1.1-2k)
- fix URL
  update to 5.1.1

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Mon Aug 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (5.0-22k)
- removed alpha.patch for building

* Sun Aug 26 2001 Shingo Akagaki <dora@kondara.org>
- release version tar ball

* Sun Mar 18 2001 Toru Hoshina <toru@df-usa.com>
- new snapshot

* Sat Feb 04 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (5.0-15k)
- update source to gdb-20010119.tar.bz2
- Delete gdb-5.0-alpha.patch and gdb-5.0-sparc.patch. 
  They have been already included in source.
- don't Exclude sparc

* Thu Nov 09 2000 Kenichi Matsubara <m@kondara.org>
- [5.0-10k]
- bugfix %post.

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Jul 25 2000 Trond Eivind Glomsr?<teg@redhat.com>
- upgrade to CVS snapshot
- excludearch SPARC, build on IA61

* Wed Jul 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 02 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Fri Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%configure, %%makeinstall, %%{_infodir}, %%{_mandir},
  and %%{_tmppath}
- the install scripts  for info are broken(they don't care about
  you specify in the installstep), work around that.
- don't build for IA64

* Mon May 22 2000 Trond Eivind Glomsr?<teg@redhat.com>
- upgraded to 5.0 - dump all patches. Reapply later if needed.
- added the NEWS file to the %%doc files
- don't delete files which doesn't get installed (readline, texinfo)
- let build system handle stripping and gzipping
- don't delete libmmalloc
- apply patch from jakub@redhat.com to make it build on SPARC

* Sun May 20 2000 Takaaki Tabuchi <tab@kondara.org>
- update 5.0.

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new ncurses

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (4.18-11).

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Tue Feb  8 2000 Jakub Jelinek <jakub@redhat.com>
- fix core file handling on i386 with glibc 2.1.3 headers

* Fri Jan 14 2000 Jakub Jelinek <jakub@redhat.com>
- fix reading registers from core on sparc.
- hack around build problems on i386 with glibc 2.1.3 headers

* Thu Oct 7 1999 Jim Kingdon
- List files to install in %{_infodir} specifically (so we don't pick up
things like info.info from GDB snapshots).

* Thu Oct 7 1999 Jim Kingdon
- Update GDB to 19991004 snapshot.  This eliminates the need for the
sigtramp, sparc, xref, and threads patches.  Update sparcmin patch.

* Mon Aug 23 1999 Jim Kingdon
- Omit readline manpage.

* Tue Aug 7 1999 Jim Kingdon
- Remove H.J. Lu's patches (they had been commented out).
- Add sigtramp patch (from gdb.cygnus.com) and threads patch (adapted
from code fusion CD-ROM).

* Wed Apr 14 1999 Jeff Johnson <jbj@redhat.com>
- merge H.J. Lu's patches into 4.18.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated the kern22 patch with stuff from davem

* Thu Apr  1 1999 Jeff Johnson <jbj@redhat.com>
- sparc with 2.2 kernels no longer uses sunos ptrace (davem)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- Sparc fiddles for Red Hat 6.0.

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB README NEWS
/usr/bin/*
%{_mandir}/man1/*
%{_infodir}/annotate.info*
%{_infodir}/gdb.info*
%{_infodir}/gdbint.info*
%{_infodir}/stabs.info*
%{_infodir}/mmalloc.info*

# don't include the files in include, they are part of binutils
